package com.chinaitop.depot;

import org.activiti.spring.boot.SecurityAutoConfiguration;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.session.data.redis.config.annotation.web.http.EnableRedisHttpSession;


@EnableEurekaClient
@EnableDiscoveryClient
@EnableCaching
@EnableRedisHttpSession
@EnableFeignClients
@SpringBootApplication(
		//exclude = {DataSourceAutoConfiguration.class}	// 禁止自动配置数据源，多数据源需采用手动配置
		exclude = SecurityAutoConfiguration.class

	)
@MapperScan(basePackages = {"com.chinaitop.depot.*.mapper"})
public class DepotBusinessApplication {

	public static void main(String[] args) {
		SpringApplication.run(DepotBusinessApplication.class, args);
	}

}
