package com.chinaitop.depot;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
 
import springfox.documentation.builders.ApiInfoBuilder;
import springfox.documentation.builders.PathSelectors;
import springfox.documentation.builders.RequestHandlerSelectors;
import springfox.documentation.service.ApiInfo;
import springfox.documentation.spi.DocumentationType;
import springfox.documentation.spring.web.plugins.Docket;
import springfox.documentation.swagger2.annotations.EnableSwagger2;
 
@Configuration
@EnableSwagger2
@ConditionalOnProperty(name = "swagger.enable", havingValue = "true", matchIfMissing = true)
public class SwaggerConfig {

	@Value("${eureka.instance.hostname}")
	private String eureka_ip;

    @Bean
    public Docket createRestApi() {
        return new Docket(DocumentationType.SWAGGER_2)
                .apiInfo(apiInfo())
                .select()
                .apis(RequestHandlerSelectors.basePackage("com.chinaitop.depot"))
                .paths(PathSelectors.any())
                .build();
    }
    private ApiInfo apiInfo() {
    	String url = "http://"+eureka_ip+":9001";
        return new ApiInfoBuilder()
                .title("智能粮库管理平台api文档")
                .description("综合业务")
                .termsOfServiceUrl(url.trim())
                .version("1.0")
                .build();
    }
}