package com.chinaitop.depot.act.controller;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.activiti.engine.repository.Model;
import org.apache.commons.lang.ObjectUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.servlet.mvc.support.RedirectAttributes;

import com.chinaitop.depot.act.model.Act;
import com.chinaitop.depot.act.model.DeploymentList;
import com.chinaitop.depot.act.service.ActModelService;
import com.chinaitop.depot.business.model.UserInfo;
import com.chinaitop.depot.utils.activiti.PageUtils;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.github.pagehelper.util.StringUtil;

/**
 * 流程模型相关Controller
 * 
 */
@RestController
@RequestMapping(value = "act/model")
public class ActModelController {
	@Autowired
	private ActModelService actModelService;
	
	
	/**
	 * 查找用户信息
	 * @param pageNum 页码
	 * @param pageSize 页码显示条数
	 * @return
	 */
	/*@RequestMapping(value="/getModel", produces = MediaType.APPLICATION_JSON_VALUE)
	public PageInfo<Model> getUser(Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		List<Model> list = actModelService.queryByExample();
		
		PageInfo<Model> pageInfo = new PageInfo<Model>(list);
		return pageInfo;
	}*/
	@RequestMapping(value="/getModel", produces = MediaType.APPLICATION_JSON_VALUE)
	public PageInfo<Model> getUser(Integer pageNum, Integer pageSize, HttpServletRequest request) {
		//UserInfo userInfo= (UserInfo) request.getSession().getAttribute("userInfo");
		Integer orgId= (Integer) request.getSession().getAttribute("orgId");
		//ObjectMapper mapper = new ObjectMapper();
		//String userInfoObject = ObjectUtils.toString(request.getSession().getAttribute("userInfo"),"");
		/*if(!userInfoObject.isEmpty()) {
			UserInfo userInfo = mapper.readValue(userInfoObject, UserInfo.class);
			//UserInfo userInfo = (UserInfo)request.getSession().getAttribute("userInfo");
			modelMap.put("userInfo", userInfo);
		}*/
		
		
		
		//Integer orgId = userInfo.getOrgId();
		//Integer orgId = 12;
		//Integer depotId = (Integer)request.getSession().getAttribute("depotId");
		Integer depotId = orgId;
		/*if (StringUtil.isNotEmpty(depotId.toString())) {
			String category=depotId.toString();
			PageHelper.startPage(pageNum, pageSize);
			List<Model> list = actModelService.modelList(category);
			PageInfo<Model> pageInfo = PageUtils.page2(list, pageNum, pageSize);
//			PageInfo<Model> pageInfo = new PageInfo<Model>(list);
			return pageInfo;
		}else {
			String category=orgId.toString();
			PageHelper.startPage(pageNum, pageSize);
			List<Model> list = actModelService.modelList(category);
			PageInfo<Model> pageInfo = PageUtils.page2(list, pageNum, pageSize);
//			PageInfo<Model> pageInfo = new PageInfo<Model>(list);
			return pageInfo;
		}*/
		PageHelper.startPage(pageNum, pageSize);
		List<Model> list = actModelService.modelList(null);
		PageInfo<Model> pageInfo = PageUtils.page2(list, pageNum, pageSize);
//		PageInfo<Model> pageInfo = new PageInfo<Model>(list);
		return pageInfo;
	}
	
	
	
	/**
	 * 创建模型
	 * @param name流程图的名字
	 * @param key 流程启动的key值
	 * @param description 流程描述
	 * @param category 流程图
	 * @return
	 */
	@RequestMapping(value = "create", method = RequestMethod.POST)
	public void create(String name, String key, String description, 
			HttpServletRequest request, HttpServletResponse response) {
		try {
			Integer depotId =(Integer) request.getSession().getAttribute("depotId");
			UserInfo userInfo = (UserInfo)request.getSession().getAttribute("userInfo");
			Integer orgId = userInfo.getOrgId();
			if(StringUtil.isNotEmpty(depotId.toString())){
				String category = depotId.toString();
				org.activiti.engine.repository.Model modelData = actModelService.create(name, key, description, category);
				String modelId = modelData.getId();
				response.getWriter().write(modelId);
			}else {
				org.activiti.engine.repository.Model modelData = actModelService.create(name, key, description, orgId.toString());
				String modelId = modelData.getId();
				response.getWriter().write(modelId);
			}
			
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
	
	/**
	 * 
	 * @param id 根据编号查找用户信息
	 * 
	 * @return
	 */
	@RequestMapping(value="/edit", produces = MediaType.APPLICATION_JSON_VALUE)
	public Act edit(Integer id) {
		Act act = new Act();
		if (id != null) {
//			user = userService.findById(id);
		}
		return act;
	}
	
	/**
	 * 删除Model
	 * @param id 根据id删除
	 * @param redirectAttributes 返回信息
	 * @return
	 */
	@RequestMapping(value = "delete")
	public String delete(String id, RedirectAttributes redirectAttributes) {
		actModelService.delete(id);
		redirectAttributes.addFlashAttribute("message", "删除成功，模型ID=" + id);
		return null;
	}
	
	/**
	 * 导出model的xml文件
	 * @param id根据id导出xml文件
	 * 
	 */
	@RequestMapping(value = "export")
	public void export(String id, HttpServletResponse response) {
		actModelService.export(id, response);
	}
	
	/**
	 * 根据Model部署流程
	 * @param id根据id部署流程定义
	 * @param redirectAttributes 返回信息
	 */
	@RequestMapping(value = "deploy")
	public Map<String, Object> deploy(String id, RedirectAttributes redirectAttributes) {
		String message = actModelService.deploy(id);
		Map<String, Object> modelMap = new HashMap<String, Object>();
		modelMap.put("status", message);
		redirectAttributes.addFlashAttribute("message", message);
//		return "redirect:" + adminPath + "/act/process";
		return modelMap;
	}
	
}
