package com.chinaitop.depot.act.controller;

import java.io.UnsupportedEncodingException;

import javax.xml.stream.XMLStreamException;

import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.servlet.mvc.support.RedirectAttributes;

import com.chinaitop.depot.act.service.ActTemplateService;
@RestController
@RequestMapping(value = "/act/template")
public class ActTemplateController {
	@Autowired
	private ActTemplateService actTemplateService;
	
	@RequestMapping(value = "/actDeploy",method=RequestMethod.POST)
	public String deploy(MultipartFile file,RedirectAttributes redirectAttributes, Integer orgId) {

		String fileName = file.getOriginalFilename();
		
		if (StringUtils.isBlank(fileName)){
			redirectAttributes.addFlashAttribute("message", "请选择要部署的流程文件");
		}else{
			String message = actTemplateService.deploy(file,orgId);
			return message;
		}
		return null;
	}
	
	/**
	 * 将部署的流程转换为模型
	 * @param procDefId
	 * @param redirectAttributes
	 * @return
	 * @throws UnsupportedEncodingException
	 * @throws XMLStreamException
	 */
	@RequestMapping(value = "convert/toModel")
	public String convertToModel(String procDefId, RedirectAttributes redirectAttributes ) throws UnsupportedEncodingException, XMLStreamException {
		org.activiti.engine.repository.Model modelData = actTemplateService.convertToModel(procDefId);
		return "转换模型成功，模型ID="+modelData.getId();
	}
}
