package com.chinaitop.depot.act.rest.editor.model;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.InputStream;

import javax.servlet.http.HttpServletRequest;

import org.activiti.editor.constants.ModelDataJsonConstants;
import org.activiti.engine.ActivitiException;
import org.activiti.engine.RepositoryService;
import org.activiti.engine.repository.Model;
import org.apache.batik.transcoder.TranscoderInput;
import org.apache.batik.transcoder.TranscoderOutput;
import org.apache.batik.transcoder.image.PNGTranscoder;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseStatus;
import org.springframework.web.bind.annotation.RestController;

import com.chinaitop.depot.business.model.UserInfo;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.node.ObjectNode;
import com.github.pagehelper.util.StringUtil;

/**
 * @author xujh
 */
@RestController
public class ModelSaveRestResource implements ModelDataJsonConstants {

	protected static final Logger LOGGER = Logger.getLogger(ModelSaveRestResource.class);

	@Autowired
	private RepositoryService repositoryService;
	protected ObjectMapper objectMapper = new ObjectMapper();

	@RequestMapping(value = "/act/service/model/{modelId}/save")
	@ResponseStatus(value = HttpStatus.OK)
	public void saveModel(@PathVariable String modelId, String json_xml,String svg_xml,String name,String description,HttpServletRequest request) {
		try {
			Model model = repositoryService.getModel(modelId);
			
			ObjectNode modelJson = (ObjectNode) objectMapper.readTree(model.getMetaInfo());
			
			modelJson.put(MODEL_NAME, name);
			modelJson.put(MODEL_DESCRIPTION, description);
			model.setMetaInfo(modelJson.toString());
			model.setName(name);
			repositoryService.saveModel(model);
			/*UserInfo userInfo = (UserInfo)request.getSession().getAttribute("userInfo");
			Integer orgId = userInfo.getOrgId();
			Integer depotId =(Integer) request.getSession().getAttribute("depotId");*/
			
			String[] split = json_xml.split("process_id");
			
			for (String string : split) {
				System.out.println(string);
			}
			//得到第一个字符串
			String string = split[0];
			String string2 =string+="process_id";
			
			//得到后边的字符串
			String string1 = split[1];
			
			int indexOf = string1.indexOf(",");
			//取到第一个字符
			String substring1 = string1.substring(0,indexOf);
			//用"分开，得到想要拼接的值
			String[] split2 = substring1.split("\"");
			//得到processId的值，用于拼接
			String processIdValue = split2[2];
			System.out.println(substring1);
			
//			if(StringUtil.isNotEmpty(depotId.toString())){
//				String process_id_value = "\":\""+  processIdValue+depotId + "\"";
//				//把值拼接进去
//				String substring2 = string1.substring(indexOf);
//				
//				String json_xmls=string2+=process_id_value+=substring2;
//				repositoryService.addModelEditorSource(model.getId(), json_xmls.getBytes("utf-8"));
//			}else {
//				String process_id_value = "\":\""+  processIdValue+orgId + "\"";
//				//把值拼接进去
//				String substring2 = string1.substring(indexOf);
//				
//				String json_xmls=string2+=process_id_value+=substring2;
//				repositoryService.addModelEditorSource(model.getId(), json_xmls.getBytes("utf-8"));
//			}
			
			String process_id_value = "\":\""+  processIdValue + "\"";
			//把值拼接进去
			String substring2 = string1.substring(indexOf);
			
			String json_xmls=string2+=process_id_value+=substring2;
			repositoryService.addModelEditorSource(model.getId(), json_xmls.getBytes("utf-8"));
			


			InputStream svgStream = new ByteArrayInputStream(svg_xml.getBytes("utf-8"));
			TranscoderInput input = new TranscoderInput(svgStream);

			PNGTranscoder transcoder = new PNGTranscoder();
			ByteArrayOutputStream outStream = new ByteArrayOutputStream();
			TranscoderOutput output = new TranscoderOutput(outStream);

			transcoder.transcode(input, output);
			final byte[] result = outStream.toByteArray();
			repositoryService.addModelEditorSourceExtra(model.getId(), result);
			outStream.close();

		} catch (Exception e) {
			LOGGER.error("Error saving model", e);

			throw new ActivitiException("Error saving model", e);
		}
	}
}
