package com.chinaitop.depot.business.controller;
import com.chinaitop.depot.business.model.OrgInfo;
import com.chinaitop.depot.business.model.OrgInfoExample;
import com.chinaitop.depot.business.model.UserInfo;
import com.chinaitop.depot.business.model.UserInfoExample;
import com.chinaitop.depot.business.service.OrgInfoService;
import com.fasterxml.jackson.core.JsonParseException;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;

import org.apache.commons.lang.ObjectUtils;
import org.apache.commons.lang3.StringUtils;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 组织信息控制类
 * @author xueenxi
 *
 */
@RestController
@RequestMapping(value="/orgInfo")
@Api(description = "组织机构信息控制类")
public class OrgInfoController {
	
	@Resource
	private OrgInfoService orgInfoService;
	
	
	/**
     * 查询所有的用户枚举，返回id与用户姓名的map.
     * @param request
     * @return
     */
    @RequestMapping(value="/findAllOrgMap", method = RequestMethod.GET)
    public Map<Integer, Object> findAllUserMapByOrgId(HttpServletRequest request) {
        Map<Integer, Object> map = new HashMap<>();
		
           OrgInfoExample orgExample = new OrgInfoExample();
			//Criteria criteria = keeperExample.createCriteria();
			List<OrgInfo> list = null;
			try {
				list = orgInfoService.queryByExample(orgExample);
				for (OrgInfo orgInfo : list) {
					map.put(orgInfo.getOrgId(), orgInfo.getOrgName());
				}
			} catch (Exception e) {
				e.printStackTrace();
			}
        
        return map;
    }
	

	
}
