package com.chinaitop.depot.business.controller;

import com.chinaitop.depot.business.model.RoleInfo;
import com.chinaitop.depot.business.model.RoleInfoExample;
import com.chinaitop.depot.business.model.RoleInfoExample.Criteria;
import com.chinaitop.depot.business.service.RoleInfoService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.apache.commons.lang3.StringUtils;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;

import java.util.List;

@RestController
@RequestMapping(value="/roleInfo")
public class RoleInfoController {
	
	@Resource
	private RoleInfoService roleInfoService;
	
	
	/**
	 * 查找角色信息
	 * @param pageNum	页码
	 * @param pageSize	每页条数
	 * @return
	 */
	@RequestMapping(value="/getRole")
	public PageInfo<RoleInfo> getRoleInfo(HttpServletRequest request) {
		RoleInfoExample example = new RoleInfoExample();
		Criteria criteria = example.createCriteria();
		Integer orgId = (Integer)request.getSession().getAttribute("orgId");
		if (orgId != null) {
			criteria.andOrgIdEqualTo(orgId);
		}
		List<RoleInfo> list = roleInfoService.queryByExample(example);	
		PageInfo<RoleInfo> pageInfo = new PageInfo<RoleInfo>(list);
		return pageInfo;
	}

	

}
