package com.chinaitop.depot.business.controller;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.chinaitop.depot.business.model.SystemOutsideData;
import com.chinaitop.depot.business.service.SystemOutsideDataService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;

import io.swagger.annotations.Api;

@RestController
@RequestMapping(value="/systemOutsideDataController")
@Api(value= "SystemOutsideDataController", description = "外部系统数据日志管理")
public class SystemOutsideDataController {

	@Resource
	private SystemOutsideDataService systemOutsideDataService;

	public PageInfo<SystemOutsideData> getPageList(Integer pageNum, Integer pageSize, String titles, String inputTime) {

		PageInfo<SystemOutsideData> pageInfo = null;

        List<SystemOutsideData> list = null;
        try {
        	if (null != pageNum && null != pageSize) {
        		PageHelper.startPage(pageNum, pageSize);
        	}
			list = systemOutsideDataService.findByCondition(titles, inputTime);
			pageInfo = new PageInfo<SystemOutsideData>(list);
		} catch (Exception e) {
			e.printStackTrace();
		}
        return pageInfo;
	}
}
