package com.chinaitop.depot.business.controller;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.annotation.Resource;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.chinaitop.depot.business.model.BusinessWarning;
import com.chinaitop.depot.business.model.BusinessWarningExample;
import com.chinaitop.depot.business.model.BusinessWarningExample.Criteria;
import com.chinaitop.depot.business.service.WarningSettingService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping(value="/depot/business/warning")
@Api(value= "WarningSettingController", description = "预警时间设置")
public class WarningSettingController {

	@Resource
	private WarningSettingService warningSettingService;
	
	
	/**
	 * 新增时间设置
	 */
	@RequestMapping(value="/addWarningSetting", method = RequestMethod.POST)
    @ApiOperation(value="新增时间设置", notes = "新增时间设置")
   public Map<String,Object> addWarningSetting(BusinessWarning businessWarning){
	  Map map =  new HashMap<String,Object>();
	  BusinessWarningExample example = new BusinessWarningExample();
	  Criteria criteria = example.createCriteria();
	  criteria.andOrgIdEqualTo(businessWarning.getOrgId());
	  List<BusinessWarning> list = warningSettingService.queryByExample(example);
	  //判断orgId是否有值，如果有则修改，否则增加
	  if(list.size()>0 && list!=null && list.get(0).getWarningDay()!=null){
		  warningSettingService.updateByOrgId(businessWarning);
	  }else{
		  warningSettingService.add(businessWarning);
	  }
	  map.put("status","success");
	  return map;
   }
   
   
   /**
    * 查询时间的设置
    */
   @RequestMapping(value="/getWarningTime", method = RequestMethod.GET)
   @ApiOperation(value="查询时间的设置", notes = "查询时间的设置")
   public List<BusinessWarning> getWarningTime(Integer orgId){
	   BusinessWarningExample example = new BusinessWarningExample();
	   Criteria criteria = example.createCriteria();
	   criteria.andOrgIdEqualTo(orgId);
	   List<BusinessWarning> list = warningSettingService.queryByExample(example);
	   return list;
   }
	
}
