package com.chinaitop.depot.business.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.chinaitop.depot.business.model.BusinessMergeNotice;
import com.chinaitop.depot.business.model.BusinessMergeNoticeDetail;

public interface BusinessMergeNoticeMapper {

	/**
	 * 根据合同编号获取通知单数据列表
	 * @param BusinessMergeNoticeDetail
	 * @return
	 */
	List<BusinessMergeNoticeDetail> findByHtbhCondition(@Param("obj") BusinessMergeNoticeDetail obj);

	/**
	 * 保存合并通知单主表数据
	 * @param businessMergeNotice
	 */
	void insertBusinessMergeNotice(BusinessMergeNotice obj);

	/**
	 * 保存合并通知单明细表数据
	 * @param BusinessMergeNoticeDetail
	 */
	void insertBusinessMergeNoticeDetail(BusinessMergeNoticeDetail obj);

	/**
	 * 合并通知单列表查询
	 * @param businessMergeNotice
	 * @return
	 */
	List<BusinessMergeNotice> findByPageList(@Param("obj") BusinessMergeNotice obj);

	/**
	 * 查询子表数据集合
	 * @param BusinessMergeNoticeDetail
	 * @return
	 */
	List<BusinessMergeNoticeDetail> findByZidDetailList(@Param("obj") BusinessMergeNoticeDetail obj);

	/**
	 * 按主键ID查询主表数据
	 * @param id
	 * @return
	 */
	BusinessMergeNotice findByIdMergeNotice(String id);
}
