package com.chinaitop.depot.business.model;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

public class BusinessContractReceive {
    private Integer id;

    private Integer orgId;

    private String sptHtid;

    private String htbh;

    private String htlx;

    private BigDecimal htzsl;

    private BigDecimal htdj;

    private BigDecimal htzj;

    private BigDecimal yjssl;

    private Integer houseId;

    private Integer warehouseId;

    private Integer lypz;

    private Integer mxpz;

    private Integer lydj;

    private Integer lyxz;

    private Integer scnf;

    private Integer shnd;

    private Integer lycd;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date rksj;

    private Integer khid;

    private String khmc;

    private String tyxydm;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date inputTime;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    private String dataType;

    private String wtdw;

    /**
     * 主键ID
     * @return id 主键ID
     */
    public Integer getId() {
        return id;
    }

    /**
     * 主键ID
     * @param id 主键ID
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 组织机构ID
     * @return org_id 组织机构ID
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织机构ID
     * @param orgId 组织机构ID
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 市平台的合同主键ID
     * @return spt_htid 市平台的合同主键ID
     */
    public String getSptHtid() {
        return sptHtid;
    }

    /**
     * 市平台的合同主键ID
     * @param sptHtid 市平台的合同主键ID
     */
    public void setSptHtid(String sptHtid) {
        this.sptHtid = sptHtid == null ? null : sptHtid.trim();
    }

    /**
     * 合同编号
     * @return htbh 合同编号
     */
    public String getHtbh() {
        return htbh;
    }

    /**
     * 合同编号
     * @param htbh 合同编号
     */
    public void setHtbh(String htbh) {
        this.htbh = htbh == null ? null : htbh.trim();
    }

    /**
     * 合同类型
     * @return htlx 合同类型(0:采购,1:销售)
     */
    public String getHtlx() {
        return htlx;
    }

    /**
     * 合同类型
     * @param htlx 合同类型(0:采购,1:销售)
     */
    public void setHtlx(String htlx) {
        this.htlx = htlx == null ? null : htlx.trim();
    }

    /**
     * 合同总数量(吨)
     * @return htzsl 合同总数量(吨)
     */
    public BigDecimal getHtzsl() {
        return htzsl;
    }

    /**
     * 合同总数量(吨)
     * @param htzsl 合同总数量
     */
    public void setHtzsl(BigDecimal htzsl) {
        this.htzsl = htzsl;
    }

    /**
     * 合同单价(元/吨)
     * @return htdj 合同单价(元/吨)
     */
    public BigDecimal getHtdj() {
        return htdj;
    }

    /**
     * 合同单价(元/吨)
     * @param htdj 合同单价(元/吨)
     */
    public void setHtdj(BigDecimal htdj) {
        this.htdj = htdj;
    }

    /**
     * 合同总价(元)
     * @return htzj 合同总价(元)
     */
    public BigDecimal getHtzj() {
        return htzj;
    }

    /**
     * 合同总价
     * @param htzj 合同总价(元)
     */
    public void setHtzj(BigDecimal htzj) {
        this.htzj = htzj;
    }

    /**
     * 已结算数量
     * @return yjssl 已结算数量
     */
    public BigDecimal getYjssl() {
        return yjssl;
    }

    /**
     * 已结算数量
     * @param yjsje 已结算数量
     */
    public void setYjssl(BigDecimal yjssl) {
        this.yjssl = yjssl;
    }

    /**
     * 仓房ID
     * @return house_id 仓房ID
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * 仓房ID
     * @param houseId 仓房ID
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * 货位ID
     * @return warehouse_id 货位ID
     */
    public Integer getWarehouseId() {
        return warehouseId;
    }

    /**
     * 货位ID
     * @param warehouseId 货位ID
     */
    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }

    /**
     * 粮油品种
     * @return lypz 粮油品种
     */
    public Integer getLypz() {
        return lypz;
    }

    /**
     * 粮油品种
     * @param lypz 粮油品种
     */
    public void setLypz(Integer lypz) {
        this.lypz = lypz;
    }

    /**
     * 明细品种
     * @return mxpz 明细品种
     */
    public Integer getMxpz() {
        return mxpz;
    }

    /**
     * 明细品种
     * @param mxpz 明细品种
     */
    public void setMxpz(Integer mxpz) {
        this.mxpz = mxpz;
    }

    /**
     * 粮油等级
     * @return lydj 粮油等级
     */
    public Integer getLydj() {
        return lydj;
    }

    /**
     * 粮油等级
     * @param lydj 粮油等级
     */
    public void setLydj(Integer lydj) {
        this.lydj = lydj;
    }

    /**
     * 粮油性质
     * @return lyxz 粮油性质
     */
    public Integer getLyxz() {
        return lyxz;
    }

    /**
     * 粮油性质
     * @param lyxz 粮油性质
     */
    public void setLyxz(Integer lyxz) {
        this.lyxz = lyxz;
    }

    /**
     * 生产年份
     * @return scnf 生产年份
     */
    public Integer getScnf() {
        return scnf;
    }

    /**
     * 生产年份
     * @param scnf 生产年份
     */
    public void setScnf(Integer scnf) {
        this.scnf = scnf;
    }

    /**
     * 收货年度
     * @return shnd 收货年度
     */
    public Integer getShnd() {
        return shnd;
    }

    /**
     * 收货年度
     * @param shnd 收货年度
     */
    public void setShnd(Integer shnd) {
        this.shnd = shnd;
    }

    /**
     * 粮油产地
     * @return lycd 粮油产地
     */
    public Integer getLycd() {
        return lycd;
    }

    /**
     * 粮油产地
     * @param lycd 粮油产地
     */
    public void setLycd(Integer lycd) {
        this.lycd = lycd;
    }

    /**
     * 入库时间
     * @return rksj 入库时间
     */
    public Date getRksj() {
        return rksj;
    }

    /**
     * 入库时间
     * @param rksj 入库时间
     */
    public void setRksj(Date rksj) {
        this.rksj = rksj;
    }

    /**
     * 客户主键ID
     * @return khid 客户主键ID
     */
    public Integer getKhid() {
        return khid;
    }

    /**
     * 客户主键ID
     * @param khid 客户主键ID
     */
    public void setKhid(Integer khid) {
        this.khid = khid;
    }

    /**
     * 客户名称
     * @return khmc 客户名称
     */
    public String getKhmc() {
        return khmc;
    }

    /**
     * 客户名称
     * @param khmc 客户名称
     */
    public void setKhmc(String khmc) {
        this.khmc = khmc == null ? null : khmc.trim();
    }

    /**
     * 统一信用代码
     * @return tyxydm 统一信用代码
     */
    public String getTyxydm() {
        return tyxydm;
    }

    /**
     * 统一信用代码
     * @param tyxydm 统一信用代码
     */
    public void setTyxydm(String tyxydm) {
        this.tyxydm = tyxydm == null ? null : tyxydm.trim();
    }

    /**
     * 数据创建时间
     * @return input_time 数据创建时间
     */
    public Date getInputTime() {
        return inputTime;
    }

    /**
     * 数据创建时间
     * @param inputTime 数据创建时间
     */
    public void setInputTime(Date inputTime) {
        this.inputTime = inputTime;
    }

    /**
     * 最后修改时间
     * @return update_time 最后修改时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 最后修改时间
     * @param updateTime 最后修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 数据状态(0:未使用,1:已使用)
     * @return data_type 数据状态(0:未使用,1:已使用)
     */
    public String getDataType() {
        return dataType;
    }

    /**
     * 数据状态(0:未使用,1:已使用)
     * @param dataType 数据状态(0:未使用,1:已使用)
     */
    public void setDataType(String dataType) {
        this.dataType = dataType == null ? null : dataType.trim();
    }

    /**
     * 委托单位
     * @return
     */
	public String getWtdw() {
		return wtdw;
	}

	/**
	 * 委托单位
	 * @param wtdw
	 */
	public void setWtdw(String wtdw) {
		this.wtdw = wtdw;
	}
}