package com.chinaitop.depot.business.model;

import java.util.Date;

public class BusinessLading {
    private Integer id;

    private String ladingNumber;

    private String inboundNumber;

    private String customerName;

    private String trainNumber;

    private Integer grainKind;

    private String model;

    private Double unloadNumber;

    private String platform;

    private String warehouseName;

    private Double goodsNumber;

    private Integer measurementMethod;

    private String businessType;

    private String salesType;

    private String salesDepartment;

    private String transportStation;

    private Date deliveryDate;

    private String creater;

    private Date billDate;

    private String carnumber;

    private Date updatetime;

    private Integer orgId;

    /**
     * 提货单
     * @return id 提货单
     */
    public Integer getId() {
        return id;
    }

    /**
     * 提货单
     * @param id 提货单
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 提货单号
     * @return lading_number 提货单号
     */
    public String getLadingNumber() {
        return ladingNumber;
    }

    /**
     * 提货单号
     * @param ladingNumber 提货单号
     */
    public void setLadingNumber(String ladingNumber) {
        this.ladingNumber = ladingNumber == null ? null : ladingNumber.trim();
    }

    /**
     * 入站单号
     * @return inbound_number 入站单号
     */
    public String getInboundNumber() {
        return inboundNumber;
    }

    /**
     * 入站单号
     * @param inboundNumber 入站单号
     */
    public void setInboundNumber(String inboundNumber) {
        this.inboundNumber = inboundNumber == null ? null : inboundNumber.trim();
    }

    /**
     * 客户名称
     * @return customer_name 客户名称
     */
    public String getCustomerName() {
        return customerName;
    }

    /**
     * 客户名称
     * @param customerName 客户名称
     */
    public void setCustomerName(String customerName) {
        this.customerName = customerName == null ? null : customerName.trim();
    }

    /**
     * 关联火车皮号
     * @return train_number 关联火车皮号
     */
    public String getTrainNumber() {
        return trainNumber;
    }

    /**
     * 关联火车皮号
     * @param trainNumber 关联火车皮号
     */
    public void setTrainNumber(String trainNumber) {
        this.trainNumber = trainNumber == null ? null : trainNumber.trim();
    }

    /**
     * 粮油品种
     * @return grain_kind 粮油品种
     */
    public Integer getGrainKind() {
        return grainKind;
    }

    /**
     * 粮油品种
     * @param grainKind 粮油品种
     */
    public void setGrainKind(Integer grainKind) {
        this.grainKind = grainKind;
    }

    /**
     * 规格型号
     * @return model 规格型号
     */
    public String getModel() {
        return model;
    }

    /**
     * 规格型号
     * @param model 规格型号
     */
    public void setModel(String model) {
        this.model = model == null ? null : model.trim();
    }

    /**
     * 卸载件数
     * @return unload_number 卸载件数
     */
    public Double getUnloadNumber() {
        return unloadNumber;
    }

    /**
     * 卸载件数
     * @param unloadNumber 卸载件数
     */
    public void setUnloadNumber(Double unloadNumber) {
        this.unloadNumber = unloadNumber;
    }

    /**
     * 站台
     * @return platform 站台
     */
    public String getPlatform() {
        return platform;
    }

    /**
     * 站台
     * @param platform 站台
     */
    public void setPlatform(String platform) {
        this.platform = platform == null ? null : platform.trim();
    }

    /**
     * 货位
     * @return warehouse_name 货位
     */
    public String getWarehouseName() {
        return warehouseName;
    }

    /**
     * 货位
     * @param warehouseName 货位
     */
    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName == null ? null : warehouseName.trim();
    }

    /**
     * 提货件数
     * @return goods_number 提货件数
     */
    public Double getGoodsNumber() {
        return goodsNumber;
    }

    /**
     * 提货件数
     * @param goodsNumber 提货件数
     */
    public void setGoodsNumber(Double goodsNumber) {
        this.goodsNumber = goodsNumber;
    }

    /**
     * 计量方式
     * @return measurement_method 计量方式
     */
    public Integer getMeasurementMethod() {
        return measurementMethod;
    }

    /**
     * 计量方式
     * @param measurementMethod 计量方式
     */
    public void setMeasurementMethod(Integer measurementMethod) {
        this.measurementMethod = measurementMethod;
    }

    /**
     * 业务类型
     * @return business_type 业务类型
     */
    public String getBusinessType() {
        return businessType;
    }

    /**
     * 业务类型
     * @param businessType 业务类型
     */
    public void setBusinessType(String businessType) {
        this.businessType = businessType == null ? null : businessType.trim();
    }

    /**
     * 销售类型
     * @return sales_type 销售类型
     */
    public String getSalesType() {
        return salesType;
    }

    /**
     * 销售类型
     * @param salesType 销售类型
     */
    public void setSalesType(String salesType) {
        this.salesType = salesType == null ? null : salesType.trim();
    }

    /**
     * 销售部门
     * @return sales_department 销售部门
     */
    public String getSalesDepartment() {
        return salesDepartment;
    }

    /**
     * 销售部门
     * @param salesDepartment 销售部门
     */
    public void setSalesDepartment(String salesDepartment) {
        this.salesDepartment = salesDepartment == null ? null : salesDepartment.trim();
    }

    /**
     * 发运站
     * @return transport_station 发运站
     */
    public String getTransportStation() {
        return transportStation;
    }

    /**
     * 发运站
     * @param transportStation 发运站
     */
    public void setTransportStation(String transportStation) {
        this.transportStation = transportStation == null ? null : transportStation.trim();
    }

    /**
     * 发货日期
     * @return delivery_date 发货日期
     */
    public Date getDeliveryDate() {
        return deliveryDate;
    }

    /**
     * 发货日期
     * @param deliveryDate 发货日期
     */
    public void setDeliveryDate(Date deliveryDate) {
        this.deliveryDate = deliveryDate;
    }

    /**
     * 制单人
     * @return creater 制单人
     */
    public String getCreater() {
        return creater;
    }

    /**
     * 制单人
     * @param creater 制单人
     */
    public void setCreater(String creater) {
        this.creater = creater == null ? null : creater.trim();
    }

    /**
     * 制单日期
     * @return bill_date 制单日期
     */
    public Date getBillDate() {
        return billDate;
    }

    /**
     * 制单日期
     * @param billDate 制单日期
     */
    public void setBillDate(Date billDate) {
        this.billDate = billDate;
    }

    /**
     * 汽车牌号
     * @return carNumber 汽车牌号
     */
    public String getCarnumber() {
        return carnumber;
    }

    /**
     * 汽车牌号
     * @param carnumber 汽车牌号
     */
    public void setCarnumber(String carnumber) {
        this.carnumber = carnumber == null ? null : carnumber.trim();
    }

    /**
     * 
     * @return updatetime 
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 
     * @param updatetime 
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    /**
     * 组织id
     * @return org_id 组织id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织id
     * @param orgId 组织id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }
}