package com.chinaitop.depot.business.model;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 合并通知单明细
 * @author fxw
 *
 */
@Data
public class BusinessMergeNoticeDetail {

	@ApiModelProperty(value = "主键唯一uuid")
	private String id;
	@ApiModelProperty(value = "库ID")
	private Integer orgId;
	@ApiModelProperty(value = "数据创建时间")
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date cjsj;
	@ApiModelProperty(value = "创建人")
	private String cjr;
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "最后修改时间")
	private Date updatetime;
	@ApiModelProperty(value = "主表ID")
	private String zid;
	@ApiModelProperty(value = "数据类型(0:原通知单,1:目标通知单)")
	private String datatype;
	@ApiModelProperty(value = "通知单ID")
	private String tzdid;
	@ApiModelProperty(value = "通知单编号")
	private String tzdbh;
	@ApiModelProperty(value = "合同编号")
	private String htbh;
	@ApiModelProperty(value = "粮食品种")
	private Integer lspz;
	@ApiModelProperty(value = "客户名称")
	private String khmc;
	@ApiModelProperty(value = "仓房ID")
	private Integer ch;
	@ApiModelProperty(value = "货位ID")
	private Integer hwh;
	@ApiModelProperty(value = "原计划数量(吨)")
	private BigDecimal jhsl;
	@ApiModelProperty(value = "原剩余数量(吨)")
	private BigDecimal sysl;
	@ApiModelProperty(value = "合并后数量(吨)")
	private BigDecimal hbhsl;
}
