package com.chinaitop.depot.business.service;

import java.util.List;
import java.util.Map;

import com.chinaitop.depot.business.model.BusinessContractReceive;

public interface BusinessContractReceiveService {

	/**
	 * 接收市平台下发的合同数据
	 * @param data
	 * @return
	 * @throws Exception
	 */
	Map<String, String> receiveContractData(String data) throws Exception;

	/**
	 * 接收通知单列表页查询
	 * @param htbh 合同编号
	 * @param orgId 组织机构ID
	 * @param houseId 仓房ID
	 * @param warehouseId 货位ID
	 * @param htlx 合同类型(0:采购,1:销售)
	 * @return
	 */
	List<BusinessContractReceive> queryByExample(String htbh, Integer orgId, Integer houseId, Integer warehouseId, String htlx, String surplus) throws Exception;

	/**
	 * 主键查询一条数据
	 * @param id
	 * @return
	 * @throws Exception
	 */
	BusinessContractReceive findbyParmaryKey(Integer id) throws Exception;

	/**
	 * 修改或新增一条数据
	 * @param businessContractReceive
	 * @throws Exception
	 */
	void updateOrSave(BusinessContractReceive businessContractReceive) throws Exception;

	/**
	 * 修改已结算数量
	 * @param htid 接到到的市平台下发的合同ID
	 * @param bcjssl 本次结算数量
	 * @return
	 * @throws Exception
	 */
	Map<String, String> updateYjssl(Integer htid, String bcjssl) throws Exception;

}
