/**
 * 
 */
package com.chinaitop.depot.business.service;

import java.util.List;

import org.springframework.web.multipart.MultipartFile;

import com.chinaitop.depot.business.model.BusinessFile;
import com.chinaitop.depot.business.model.BusinessFileExample;

/**
 * <p>Title: BusinessFile</p>
 * <p>Description: </p>
 * @author yaoyabin
 * @date 2017年12月5日 下午2:26:58
 */

public interface BusinessFileService {

    /**
     * @param businessFile
     */
    int save(BusinessFile businessFile);

    /**
     * 通过条件获取list.
     * @param bid
     * @param fileType
     * @param orgId
     * @param order
     * @return
     */
    List<BusinessFile> getByBid(Integer bid, String fileType, Integer orgId, String order);

    /**
     * @param id
     * @param rootPath 
     */
    void remove(Integer id, String rootPath);
    
    /**
     * 根据bid删除附件.
     * @param bid
     * @param rootPath 
     */
    void removeByBid(Integer bid, String rootPath);

    /**
     * 根据fileId数组字符串删除文件.
     * @param fileIds 数组字符串，如：[1,2,3]
     */
    void deleteFileByFileIdArrayString(String fileIds);

    /**
     * 修改fileIds数组字符串对应数据的bid.
     * @param fileIds 数组字符串，如：[1,2,3]
     * @param bid 
     */
    void updateFileByFileIdsAndBid(String fileIds, Integer bid, String fileType);

    /**
     * @param userInfo 
     * @param bid 
     * @param type 
     * @param file 
     * @return
     */
    BusinessFile uploadFile(MultipartFile file, String type, Integer bid, Integer userId,Integer orgId);

	List<BusinessFile> selectByExample(BusinessFileExample example);

}
