package com.chinaitop.depot.business.service;

import java.util.List;
import java.util.Map;

import com.chinaitop.depot.business.model.BusinessMergeNotice;
import com.chinaitop.depot.business.model.BusinessMergeNoticeDetail;

public interface BusinessMergeNoticeService {

	/**
	 * 通过合同编号查询通知单数据
	 * @param htbh 合同编号
	 * @param orgId 库id
	 * @return
	 */
	List<BusinessMergeNoticeDetail> findByHtbhCondition(String htbh, Integer orgId) throws Exception;

	/**
	 * 保存
	 * @param x_arr
	 * @param y_arr
	 * @return
	 * @throws Exception
	 */
	void save(String x_arr, String y_arr) throws Exception;

	/**
	 * 合并通知单列表查询
	 * @param htbh 合同编号
	 * @param orgId 库ID
	 * @param khmc 客户名称
	 * @param ch 仓房ID
	 * @return
	 * @throws Exception
	 */
	List<BusinessMergeNotice> findByList(Integer orgId, String htbh, String khmc, Integer ch) throws Exception;

	/**
	 * 合并通知单详情查询
	 * @param id 主键ID
	 * @return
	 * @throws Exception
	 */
	Map<String, Object> findByIdList(String id) throws Exception;

	/**
	 * 按照通知单ID查询通知单合并记录
	 * @param tzdid
	 * @return
	 */
	List<BusinessMergeNoticeDetail> findByTzdidQueryList(String tzdid) throws Exception;

}
