package com.chinaitop.depot.business.service;

import com.chinaitop.depot.business.model.BusinessApproval;
import com.chinaitop.depot.business.model.BusinessPlan;
import com.chinaitop.depot.business.model.BusinessStoreWareDetail;
import com.chinaitop.depot.business.model.vo.BusinessPlanAuditVO;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

public interface BusinessPlanService {
	
	
	BusinessPlan findById(Integer id);
	
	/**
	 * @param plan
	 * @param storeWareDetailList 
	 * @param fileIds 新增的附件id.
	 * @param deleteFileIds 删除的附件id.
	 */
	void update(BusinessPlan plan, List<BusinessStoreWareDetail> storeWareDetailList, String fileIds, String deleteFileIds);
	
	void remove(Integer id,String processInstanceId,String deleteReason, String rootPath);
	
	/**
	 * 提交.
	 * @param id
	 * @param nextUserId
	 * @param userId
	 * @return
	 */
	Map<String, Object> submit(Integer id, String nextUserId, Integer userId , String realName);

    /**
     * 获取审批列表.
     * @param paramMap
     * @return
     */
    List<BusinessPlanAuditVO> getApprovalList(Map<String, Object> paramMap);

    /**
     * 审批
     * @param planId
     * @param businessApproval
     * @param userId
     */
    void audit(Integer planId, BusinessApproval businessApproval,String nextUserId,
            String result, Integer userId, String realName);

    /**
     * 应用.
     * @param id
     */
    void application(Integer id);

    /**
     * 中止应用.
     * @param id
     */
    void discontinue(Integer id ,String refuseReason);

    /**
     * 查询计划进度列表.
     * @param pageNum
     * @param pageSize
     * @param businessPlan
     * @return
     */
    PageInfo<BusinessPlanAuditVO> getScheduleList(Integer pageNum, Integer pageSize,
            BusinessPlan businessPlan, Integer orgId);

    /**
     * @param pageNum
     * @param pageSize
     * @param userId
     * @param businessPlan
     * @param order 
     * @return
     */
    List<BusinessPlan> queryByExample(Integer pageNum, Integer pageSize,
            Integer userId, BusinessPlan businessPlan, String order, Integer billType,String type,Integer orgId);

    
    /**
     * @param id
     * @param planNumber
     * @return
     */
    Boolean validPlanNumber(Integer id, String planNumber);

    /**
     * @param id
     * @param refuseReason 
     */
    void finish(Integer id, String refuseReason);

    /**
     * @param id
     * @return
     */
    Map<String, Object> getSynthInfo(Integer id);

    /**
     * @param businessPlan
     * @param storeWareDetailList
     * @param userId
     * @param orgId
     * @param fileIds
     * @return
     */
    Map<String, Object> add(BusinessPlan businessPlan,
            List<BusinessStoreWareDetail> storeWareDetailList,
            String fileIds,Integer userId , Integer orgId ,String name ,Integer depotInfoOrgId);

    
	List<BusinessPlan> queryReportByExample(Integer pageNum, Integer pageSize, Integer userId,
			BusinessPlan businessPlan);

	void updatePlanStatus(BusinessPlan plan);

	

    /**
     * 获取计划验收列表.
     * @param paramMap
     * @return
     */
    List<BusinessPlanAuditVO> getAcceptanceList(Map<String, Object> paramMap);

    /**
     * @param businessPlanId
     * @param qualityIds
     * @param fileIds
     * @return
     */
    Map<String, Object> addAcceptance(String businessPlanId,String acceptanceNumber, String businessPlancreateTime,
                                      String qualityIds,String fileIds);

    /**
     * 验收列表
     * @param map
     * @return
     */
	List<Map<String, Object>> queryAcceptanceList(Map<String, Object> map);
	/**
	 * 架空期轮入数据
	 * @param map
	 * @return
	 */
	List<Map<String, Object>> getjkqPlanList(Map<String, Object> map);

	List<Map<String, Object>> getjkqPlanDayList(Map<String, Object> map);

	Integer getjybjl(Integer orgId);

	Integer getzzbjl(Integer orgId);
}
