/**
 * 
 */
package com.chinaitop.depot.business.service;

import java.util.List;
import java.util.Map;

import com.chinaitop.depot.business.model.BusinessStoreWareDetail;

/**
 * <p>Title: BusinessStoreWareDetailService</p>
 * <p>Description: </p>
 * @author yaoyabin
 * @date 2017年12月20日 下午3:50:41
 */

public interface BusinessStoreWareDetailService {

    /**
     * @param id
     * @return
     */
    List<BusinessStoreWareDetail> getByZid(Integer id);

    /**
     * @param id
     */
    void remove(Integer id);

    /**
     * @param id
     * @param type
     * @return
     */
    List<BusinessStoreWareDetail> getByZidAndType(Integer id, String type);

    /**
     * 根据type和zid删除数据.
     * @param type
     * @param zid
     */
    void deleteByTypeAndZid(String type, Integer zid);

    /**
     * @param storeWareDetail
     */
    void update(BusinessStoreWareDetail storeWareDetail);

    /**
     * 新增.
     * @param storeWareDetail
     */
    void add(BusinessStoreWareDetail storeWareDetail);

    //根据id 修改数据
	int updateById(BusinessStoreWareDetail detail);

	BusinessStoreWareDetail queryInfo(String id);

	/**
	 * 通过计划ID查询计划子表中数量的使用情况
	 * 
	 * @param map 参数集合
	 * @return
	 */
	List<Map<String, Object>> selectPlanUseCount(Map<String, Object> map);
	
	/**
	 * 通过合同ID查询计划子表中数量的使用情况
	 * 
	 * @param map 参数集合
	 * @return
	 */
	List<Map<String, Object>> selectContractUseCount(Map<String, Object> map);

	String getByTypeAndGrain(Map<String, Object> map);

	String getRkUseCount(Map<String, Object> map);

	String getCkUseCount(Map<String, Object> map);

}
