package com.chinaitop.depot.business.service;

import java.util.List;
import java.util.Map;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import com.chinaitop.depot.agile.model.BusinessScedule;
import com.chinaitop.depot.utils.HelloServiceHystrix;

@FeignClient(name = "depot-agile", fallback = HelloServiceHystrix.class)
public interface FeignAgileService {


    @RequestMapping(value = "/agile/kcsw/getDateByChHwh", method = RequestMethod.GET)
    Map<String, Object> getDateByChHwh(@RequestParam(value = "orgId") Integer orgId,@RequestParam(value = "houseId") Integer houseId,@RequestParam(value = "wareHouseId") Integer wareHouseId);

    @RequestMapping(value = "/agile/scedule/updateNoticeStatus", method = RequestMethod.POST)
	void updateNoticeStatus(@RequestParam(value = "paramMap") Map<String, Object> paramMap);

    @RequestMapping(value = "/agile/scedule/getPlanSceduleInPlanId", method = RequestMethod.GET)
	List<BusinessScedule> getPlanSceduleInPlanId(@RequestParam(value = "planIds") String planIds);

    @RequestMapping(value = "/agile/scedule/getContractSceduleInContractId", method = RequestMethod.GET)
	List<BusinessScedule> getContractSceduleInContractId(@RequestParam(value = "contractIds") String contractIds);
	
    @RequestMapping(value = "/agile/scedule/getNoticeSceduleInNoticeId", method = RequestMethod.GET)
	List<BusinessScedule> getNoticeSceduleInNoticeId(@RequestParam(value = "noticeIds") String noticeIds);
	
    @RequestMapping(value = "/agile/scedule/getDzContractSceduleInContractId", method = RequestMethod.GET)
	List<BusinessScedule> getDzContractSceduleInContractId(@RequestParam(value = "contractIds") String contractIds);
	
    @RequestMapping(value = "/agile/scedule/getFyContractSceduleInContractId", method = RequestMethod.GET)
	List<BusinessScedule> getFyContractSceduleInContractId(@RequestParam(value = "contractIds") String contractIds);

    @RequestMapping(value = "/agile/scedule/getThdInNumber", method = RequestMethod.GET)
    List<BusinessScedule> getThdInNumber(@RequestParam(value = "thdNumbers") String thdNumbers);
}
