package com.chinaitop.depot.business.service;

import java.util.Map;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import com.chinaitop.depot.utils.HelloServiceHystrix;

@FeignClient(name = "depot-basic", fallback = HelloServiceHystrix.class)
public interface FeignBasicService {

    @RequestMapping(value = "/Warehouse/getWareDataByHwbm", method = RequestMethod.GET)
    Map<String, Object> getWareDataByHwbm(@RequestParam(value = "hwbm") String hwbm);

    /**
     * 获取字典树类型
     * @param parentId
     * @param notParentId
     * @param notEnumId
     * @return
     */
    @RequestMapping(value = "/Enum/findConditionEnum", method = RequestMethod.GET)
    Map<String, Object> findConditionEnum(@RequestParam(value = "parentId") Integer parentId, @RequestParam(value = "notParentId") Integer notParentId, @RequestParam(value = "notEnumId") Integer notEnumId);

    @RequestMapping(value = "/Enum/getIdByNameAndParentId", method = RequestMethod.GET)
    Map<String, Object> getIdByNameAndParentId(@RequestParam(value = "parentId") Integer parentId,@RequestParam(value = "enumName") String enumName, @RequestParam(value = "code") String code);

    @RequestMapping(value = "/Warehouse/getHouseIdBySptDataID", method = RequestMethod.GET)
    String getHouseIdBySptDataID(@RequestParam(value = "sptDataId") String sptDataId);

    @RequestMapping(value = "/Tank/getTankIdBySptDataID", method = RequestMethod.GET)
    String getTankIdBySptDataID(@RequestParam(value = "sptDataId") String sptDataId);

    @RequestMapping(value = "/Warehouse/getWareOrTankObj", method = RequestMethod.GET)
    Map<String, Object> getWareOrTankObj(@RequestParam(value = "sptDataId") String sptDataId);
}
