package com.chinaitop.depot.business.service;

import java.util.List;
import java.util.Map;

import com.chinaitop.depot.business.model.BusinessApproval;
import com.chinaitop.depot.business.model.BusinessDeliveryStorageNotice;
import com.chinaitop.depot.business.model.BusinessDeliveryStorageNoticeExample;
import com.chinaitop.depot.business.model.BusinessStoreWareDetail;
import com.chinaitop.depot.business.model.vo.BusinessDeliveryStorageNoticeAuditVO;
import com.github.pagehelper.PageInfo;

public interface GrainNoticeService {
	
	List<BusinessDeliveryStorageNotice> queryByExample(BusinessDeliveryStorageNoticeExample example);
	
	BusinessDeliveryStorageNotice findById(Integer id);
	
	Map<String, Object> add(BusinessDeliveryStorageNotice businessDeliveryStorageNotice, List<BusinessStoreWareDetail> storeWareDetailList,Integer userId, String name ,Integer orgId,Integer depotInfoOrgId);
	
	void update(BusinessDeliveryStorageNotice businessDeliveryStorageNotice, List<BusinessStoreWareDetail> storeWareDetailList);
	
	void remove(Integer id, String processInstanceId, String deleteReason, Integer planBid, Integer contractBid);
	
	/**
	 * 提交.
	 * @param businessDeliveryStorageNotice
	 * @param nextUserId
	 * @param userInfo
	 * @return
	 */
	Map<String, Object> submit(BusinessDeliveryStorageNotice businessDeliveryStorageNotice,
	        String nextUserId, Integer userId,String realName);

    /**
     * 获取审批列表.
     * @param paramMap
     * @return
     */
    List<BusinessDeliveryStorageNoticeAuditVO> getApprovalList(Map<String, Object> paramMap);
    
    /**
     * 审批
     * @param deliveryStorageNoticeId 出入库通知单id.
     * @param businessApproval 中间表.
     * @param nextUserId 下一个审批人.
     * @param result 审批结果.
     */
	void audit(Integer deliveryStorageNoticeId,
			BusinessApproval businessApproval, String nextUserId, String result,String name);

    /**
     * @param id
     * @return 
     */
    Map<String, String> application(Integer id);

    /**
     * @param id
     * @param refuseReason 
     */
    void discontinue(Integer id, String refuseReason);

    /**
     * @param pageNum
     * @param pageSize
     * @param deliveryStorageNotice
     * @return
     */
    PageInfo<BusinessDeliveryStorageNoticeAuditVO> getScheduleList(
            Integer pageNum, Integer pageSize,
            BusinessDeliveryStorageNotice deliveryStorageNotice);

    /**
     * @param pageNum
     * @param pageSize
     * @param userId
     * @param notice
     * @param order 
     * @return
     */
    List<BusinessDeliveryStorageNotice> queryByExample(Integer pageNum,
            Integer pageSize, Integer userId,
            BusinessDeliveryStorageNotice notice, String order,String noticeType);

    /**
     * @param id
     */
    void finish(Integer id,String refuseReason);

    /**
     * 修改启动状态.
     * @param paramMap
     */
    void updateApplication(Map<String, Object> paramMap);


	/**
	 * 查询合同是否被通知单引用
	 * 
	 * @param contract_id 合同ID
	 * @return
	 */
	boolean isQuoteContract(Integer contract_id);

	List<BusinessDeliveryStorageNotice> queryGrainNoticeChangeList(Integer userId, Integer pageNum, Integer pageSize);
	
	Map<String, Object> saveChange(BusinessDeliveryStorageNotice businessDeliveryStorageNotice,
			List<BusinessStoreWareDetail> storeWareDetailList, Integer userId, String name, Integer depotInfoOrgId,
			Integer id);

	void changeNoticeRemove(Integer id, Integer originalNoticeBid, String processInstanceId,String deleteReason);

	List<BusinessDeliveryStorageNotice> getChangeDetailList(Integer id, String type);

	List<BusinessDeliveryStorageNotice> getAuditPassList(Integer pageNum, Integer pageSize,
			BusinessDeliveryStorageNotice notice);

	/**
	 * 给市平台推送出库通知单提示消息
	 * @param fsr
	 * @param fsdw
	 * @return
	 * @throws Exception
	 */
	String pushCktzdts(String fsr, String fsdw) throws Exception;

}
