package com.chinaitop.depot.business.service;

import com.chinaitop.depot.business.model.OrgInfo;
import com.chinaitop.depot.business.model.OrgInfoExample;

import java.util.List;

public interface OrgInfoService {
	
	/**
	 * 根据条件查询组织列表
	 * @param example
	 * @return
	 */
	List<OrgInfo> queryByExample(OrgInfoExample example);

	/**
	 * 获取组织树
	 * @param example
	 * @return
	 */
	List<OrgInfo> queryTreeByExample(OrgInfoExample example);

	/**
	 * 根据组织编号获取所有下级组织
	 * @param orgId
	 * @return
	 */
	List<OrgInfo> getAllChildren(Integer orgId, String barnName);
	
	/**
	 * 根据组织编号获取组织信息
	 * @param orgId
	 * @return
	 */
	OrgInfo findById(Integer orgId);

	/**
	 * 获取当前组织对应的粮库编号
	 * @param orgInfo
	 * @return]
	 */
	OrgInfo getDepotInfo(OrgInfo orgInfo);
	
	/**
	 * 新增组织
	 * @param orgInfo
	 */
	void add(OrgInfo orgInfo);
	
	/**
	 * 更新组织信息
	 * @param orgInfo
	 */
	void update(OrgInfo orgInfo);
	
	/**
	 * 根据组织编号删除组织信息
	 * @param orgId
	 */
	void remove(Integer orgId);

	void updateSelective(OrgInfo orgInfo);

	List<OrgInfo> getTreeListByOrgId(Integer orgId);

}
