package com.chinaitop.depot.business.service.impl;

import java.util.List;
import java.util.Map;

import javax.annotation.Resource;

import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Service;

import com.chinaitop.depot.business.mapper.BusinessContractPayReceviceMapper;
import com.chinaitop.depot.business.model.BusinessContractPayRecevice;
import com.chinaitop.depot.business.model.BusinessContractPayReceviceExample;
import com.chinaitop.depot.business.model.BusinessContractPayReceviceExample.Criteria;
import com.chinaitop.depot.business.service.BusinessContractPayService;
import com.github.pagehelper.PageHelper;


@Service
public class BusinessContractPayServiceImpl implements BusinessContractPayService {
	
	@Resource
	private BusinessContractPayReceviceMapper contractPayReceviceMapper;

	//增加
	@Override
	public void add(BusinessContractPayRecevice contract) {
		// TODO Auto-generated method stub
		contractPayReceviceMapper.insert(contract);
	}

	//列表
	@Override
	public List<BusinessContractPayRecevice> queryByExample(Integer pageNum, Integer pageSize,
			BusinessContractPayRecevice contractPayRecevice) {
		// TODO Auto-generated method stub
		BusinessContractPayReceviceExample example = new BusinessContractPayReceviceExample();
        Criteria createCriteria = example.createCriteria();
        example.setOrderByClause("time desc");
        if (contractPayRecevice != null) {
            // 合同编号
            if (StringUtils.isNotBlank(contractPayRecevice.getContractNum())) {
                createCriteria.andContractNumLike("%" + contractPayRecevice.getContractNum() + "%");
            }
        }
        // 分页.
        PageHelper.startPage(pageNum, pageSize);
        List<BusinessContractPayRecevice> list = contractPayReceviceMapper.selectByExample(example);
        return list;
	}

	
	

    
}
