/**
 * 
 */
package com.chinaitop.depot.business.service.impl;

import java.util.List;
import java.util.Map;

import javax.annotation.Resource;

import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import com.chinaitop.depot.business.mapper.BusinessStoreWareDetailMapper;
import com.chinaitop.depot.business.model.BusinessStoreWareDetail;
import com.chinaitop.depot.business.model.BusinessStoreWareDetailExample;
import com.chinaitop.depot.business.model.BusinessStoreWareDetailExample.Criteria;
import com.chinaitop.depot.business.service.BusinessStoreWareDetailService;

/**
 * <p>Title: BusinessStoreWareDetailServiceImpl</p>
 * <p>Description: </p>
 * @author yaoyabin
 * @date 2017年12月20日 下午3:51:19
 */
@Service
public class BusinessStoreWareDetailServiceImpl implements BusinessStoreWareDetailService {
    
    @Resource
    private BusinessStoreWareDetailMapper storeWareDetailMapper;
    
    @Override
    public List<BusinessStoreWareDetail> getByZid(Integer id) {
        
        BusinessStoreWareDetailExample example = new BusinessStoreWareDetailExample();
        Criteria createCriteria = example.createCriteria();
        createCriteria.andZidEqualTo(id);
        
        return storeWareDetailMapper.selectByExample(example);
    }
    
    @Override
    public void add(BusinessStoreWareDetail detail) {
        storeWareDetailMapper.insert(detail);
    }
    
    @Override
    public void remove(Integer id) {
        storeWareDetailMapper.deleteByPrimaryKey(id);
    }

    @Override
    public List<BusinessStoreWareDetail> getByZidAndType(Integer id, String type) {
        BusinessStoreWareDetailExample example = new BusinessStoreWareDetailExample();
        Criteria createCriteria = example.createCriteria();
        createCriteria.andZidEqualTo(id);
        if (StringUtils.isNotBlank(type)) {
            createCriteria.andTypeEqualTo(type);
        }
        
        return storeWareDetailMapper.selectByExample(example);
    }

    /**
     * 根据type和zid删除数据.
     */
    @Override
    public void deleteByTypeAndZid(String type, Integer zid) {
        BusinessStoreWareDetailExample example = new BusinessStoreWareDetailExample();
        Criteria createCriteria = example.createCriteria();
        createCriteria.andZidEqualTo(zid);
        createCriteria.andTypeEqualTo(type);
        
        storeWareDetailMapper.deleteByExample(example);
    }

    @Override
    public void update(BusinessStoreWareDetail storeWareDetail) {
        storeWareDetailMapper.updateByPrimaryKey(storeWareDetail);
    }

    
    //根据id 修改数据
	@Override
	public int updateById(BusinessStoreWareDetail detail) {
		// TODO Auto-generated method stub
		return storeWareDetailMapper.updateByPrimaryKeySelective(detail);
	}

	@Override
	public BusinessStoreWareDetail queryInfo(String id) {
		// TODO Auto-generated method stub
		return storeWareDetailMapper.selectByPrimaryKey(Integer.parseInt(id));
	}

	@Override
	public List<Map<String, Object>> selectPlanUseCount(Map<String, Object> map) {
		return storeWareDetailMapper.selectPlanUseCount(map);
	}

	@Override
	public List<Map<String, Object>> selectContractUseCount(Map<String, Object> map) {
		return storeWareDetailMapper.selectContractUseCount(map);
	}

	@Override
	public String getByTypeAndGrain(Map<String, Object> map) {
		// TODO Auto-generated method stub
		return storeWareDetailMapper.getByTypeAndGrain(map);
	}

	@Override
	public String getRkUseCount(Map<String, Object> map) {
		// TODO Auto-generated method stub
		return storeWareDetailMapper.getRkUseCount(map);
	}
	
	@Override
	public String getCkUseCount(Map<String, Object> map) {
		// TODO Auto-generated method stub
		return storeWareDetailMapper.getCkUseCount(map);
	}

}
