package com.chinaitop.depot.business.service.impl;

import java.util.Date;
import java.util.List;
import java.util.UUID;

import javax.annotation.Resource;

import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Service;

import com.chinaitop.depot.business.mapper.SystemOutsideDataMapper;
import com.chinaitop.depot.business.model.SystemOutsideData;
import com.chinaitop.depot.business.model.SystemOutsideDataExample;
import com.chinaitop.depot.business.model.SystemOutsideDataExample.Criteria;
import com.chinaitop.depot.business.service.SystemOutsideDataService;
import com.chinaitop.depot.utils.ParameterUtil;
@Service
public class SystemOutsideDataServiceImpl implements SystemOutsideDataService {

	@Resource
	private SystemOutsideDataMapper systemOutsideDataMapper;

	@Override
	public void addlogger(String titles, String jssj, String fhsj) {
		SystemOutsideData data = new SystemOutsideData();
		data.setId(UUID.randomUUID().toString().replace("-", ""));
		data.setTitles(titles);
		data.setJssj(jssj);
		data.setFhsj(fhsj);
		data.setInputTime(new Date());
		systemOutsideDataMapper.insert(data);
	}

	@Override
	public List<SystemOutsideData> findByCondition(String titles, String inputTime) {
		SystemOutsideDataExample example = new SystemOutsideDataExample();
		Criteria criteria = example.createCriteria();
		if (StringUtils.isNotBlank(titles)) {
			criteria.andTitlesEqualTo(titles);
		}
		if (StringUtils.isNotBlank(inputTime)) {
			String starttime = inputTime+" 00:00:00";
			String endtime = inputTime+" 23:59:59";
			criteria.andInputTimeBetween(ParameterUtil.string2datetime(starttime), ParameterUtil.string2datetime(endtime));
		}
		example.setOrderByClause("input_time desc");
		List<SystemOutsideData> list = systemOutsideDataMapper.selectByExample(example);
		return list;
	}

}
