package com.chinaitop.depot.common.controller;

import java.io.File;
import java.io.IOException;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import com.chinaitop.depot.business.service.BusinessFileService;
import com.chinaitop.depot.common.service.FileUploadService;

@RestController
@RequestMapping(value="/fileUpload")
public class FileUploadController {
    @Autowired
    private FileUploadService fileUploadService;
    @Autowired
    private BusinessFileService businessFileService;

    @Value("${web.upload-path}")
    private String uploadPath;
	
	@RequestMapping(value="/uploadFile")
	public String uploadFile(MultipartFile file, String fileType, HttpServletRequest request) throws IllegalStateException, IOException {

		// 文件相对路径
		String relativePath = "/upload/" + fileType;
		// 如路径不存在，则创建它
		File directory = new File(uploadPath + relativePath);
		if (!directory.exists()) {
			directory.mkdirs();
		}
		String filePath = relativePath + "/" + file.getOriginalFilename();
		// 复制 文件
		file.transferTo(new File(uploadPath + filePath));
		return filePath;
	}
	
}
