/**
 * 
 */
package com.chinaitop.depot.common.service.impl;

import java.io.BufferedInputStream;
import java.io.InputStream;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Properties;
import java.util.UUID;

import org.springframework.stereotype.Service;

import com.chinaitop.depot.common.service.FileUploadService;

/**
 * <p>Title: FileUploadServiceImpl</p>
 * <p>Description: </p>
 * @author yaoyabin
 * @date 2017年12月5日 上午9:53:27
 */
@Service
public class FileUploadServiceImpl implements FileUploadService {

    /**
     * 通过原始文件名称，获取新的文件名称(用于保存，保证文件名不重复).
     */
    @Override
    public String getNewFileName(String originalFilename) {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMddhhmmss");
        String suffix = "";
        if(originalFilename.lastIndexOf(".") != -1){
            suffix = originalFilename.substring(originalFilename.lastIndexOf("."));
        }
        String newFilename = sdf.format(new Date()) + UUID.randomUUID().toString() +suffix;
        return newFilename;
    }
    
    @Override
    public Properties readProperties(String filePath) {
        Properties props = new Properties();
        try {
            InputStream in = new BufferedInputStream(FileUploadServiceImpl.class.getResourceAsStream(filePath));
            props.load(in);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return props;
    }
}
