package com.chinaitop.depot.feignService;

import java.util.Map;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = "DEPOT-KEEPER-ACCOUNT")
public interface DepotKeeperAccountFeignService {

	/**
	 * 查询一个客户的主键ID
	 * @param orgId 组织机构ID
	 * @param customerType 客户类型(3152:个人客户,3153:企业客户)
	 * @param customerName 客户名称
	 * @return 
	 */
	@RequestMapping(value = "/depot/business/customer/queryCustomerObj", produces = MediaType.APPLICATION_JSON_VALUE, method=RequestMethod.GET)
	Integer queryCustomerObj(
			@RequestParam("orgId") Integer orgId, 
			@RequestParam("customerType") Integer customerType, 
			@RequestParam("customerName") String customerName
			);

	/**
	 * 保存一条不完整的客户数据
	 * @param customerJson
	 * @param orgId
	 * @return
	 */
	@RequestMapping(value = "/depot/business/customer/save", produces = MediaType.APPLICATION_JSON_VALUE, method=RequestMethod.POST)
	Map<String, Object> save(@RequestParam("customerJson")String customerJson, @RequestParam("orgId") Integer orgId);
}
