package com.chinaitop.depot.feignService;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = "DEPOT-SYSTEM")
public interface DepotSystemFeignService {

	/**
	 * 查询一条配置的应急端系统URL
	 * @param orgId 组织机构ID
	 * @param userType 类型(1:库级,2:出入库)
	 * @return 
	 */
	@RequestMapping(value = "/urlConfig/getUrl", produces = MediaType.APPLICATION_JSON_VALUE, method=RequestMethod.GET)
	String getUrl(
			@RequestParam("orgId") String orgId, 
			@RequestParam("userType") String userType
			);
}
