package com.chinaitop.depot.system.service.impl;

import javax.annotation.Resource;

import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import com.chinaitop.depot.system.mapper.SysCodeMapper;
import com.chinaitop.depot.system.model.SysCode;
import com.chinaitop.depot.system.model.SysCodeKey;
import com.chinaitop.depot.system.service.SysCodeService;

@Service
public class SysCodeServiceImpl implements SysCodeService {

	@Resource
	private SysCodeMapper sysCodeMapper;

	@Override
	public SysCode querySysCode(Integer orgId, String sCode) throws Exception {
		SysCodeKey sysCodeKey = new SysCodeKey();
		sysCodeKey.setOrgId(orgId);
		sysCodeKey.setsCode(sCode);
		SysCode en = sysCodeMapper.selectByPrimaryKey(sysCodeKey);
		return en;
	}

	@Override
	public String getSVal(Integer orgId, String sCode) throws Exception {
		String val = "";
		StringBuffer sbf = new StringBuffer(100);
		if (StringUtils.isBlank(sCode)) {
			sbf.append("code不能为空!");
		}
		if (null == orgId) {
			sbf.append("orgId不能为空!");
		}
		if (sbf.toString().length() > 0) {
			val = sbf.toString();
		} else {
			SysCode sysCode = querySysCode(orgId, sCode);
			if (null != sysCode) {
				val = sysCode.getsVal();
				System.out.println("配置数据是："+val);
			} else {
				val = "无此配置";
				System.out.println("没有检测到配置URL");
			}
		}
		return val;
	}

}
