package com.chinaitop.depot.unissoft.serviceconfig;

import com.chinaitop.depot.unissoft.webservice.ContractPassService;
import com.chinaitop.depot.unissoft.webservice.ContractPassServiceImpl;
import com.chinaitop.depot.unissoft.webservice.NoticePassService;
import com.chinaitop.depot.unissoft.webservice.NoticePassServiceImpl;
import org.apache.cxf.Bus;
import org.apache.cxf.bus.spring.SpringBus;
import org.apache.cxf.jaxws.EndpointImpl;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.xml.ws.Endpoint;

@Configuration
public class CxfConfig {
    /*@Bean
    public ServletRegistrationBean dispatcherServlet() {
        return new ServletRegistrationBean(new CXFServlet(),"/business/*");
    }*/
    @Bean(name = Bus.DEFAULT_BUS_ID)
    public SpringBus springBus() {
        return new SpringBus();
    }

    //合同
    @Bean
    public ContractPassService contractPassService() {
        return new ContractPassServiceImpl();
    }
    @Bean
    public Endpoint uploadContractData() {
        EndpointImpl endpoint = new EndpointImpl(springBus(), contractPassService());
        endpoint.publish("/uploadContractData");
        return endpoint;
    }

    //通知单
    @Bean
    public NoticePassService noticePassService() {
        return new NoticePassServiceImpl();
    }
    @Bean
    public Endpoint uploadNoticeData() {
        EndpointImpl endpoint = new EndpointImpl(springBus(), noticePassService());
        endpoint.publish("/uploadNoticeData");
        return endpoint;
    }

}
