package com.chinaitop.depot.utils;

import java.io.File;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

import org.apache.commons.lang.StringUtils;
import org.apache.commons.lang.math.NumberUtils;

/**
 * 
 * 用于存放一些公用方法的类
 * 
 * **/

public class CommonTool {
  /**
   * 管理员审核后，发送信息给用户
   * @return
   */
  public static String getAuditSendManger(String userDep,String userName,String url){
    return userDep+"("+userName+")提交了数字报表，请注意查收！("+url+")";
  }
  
  /**
   * 管理员审核后，发送信息给用户
   * @return
   */
  public static String getAuditSendOrg(String userDep,String userName,String advice,String url){
    return userDep+"("+userName+")"+advice+"了你的数字报表，请注意查收！("+url+")";
  }
  /**
   * 得到用户提交时，发送的信息模板
   * 
   * @return
   */
  public static String getSubit(String userName,String url) {
    return userName+"交了数字报表，请注意查收！("+url+")";
  }

  /**
   * 用于替换字符串中的对应字符串,主要用于sql 中 ？ 的替换,用于参数传递
   * 
   * @param
   * @return sql 替换后字符串
   * **/

  @SuppressWarnings("unused")
  public static String StrReplace(String sqlStr, Object[] params) {
    int pos = 0; // 初始查找位置
    int findPos;// 目标字符串查找到的位置
    int cnt = 0;
    String strRet = "";
    String oldStr = "?";
    while ((findPos = sqlStr.indexOf(oldStr, pos)) != -1) {
      sqlStr = sqlStr.substring(0, findPos) + params[cnt].toString() + sqlStr.substring(findPos + oldStr.length());
      findPos += params[cnt].toString().length();
      cnt++;
    }
    return sqlStr;
  }
  
	/**
	 * 用于替换字符串中的对应字符串,主要用于sql 中   ？ 的替换,用于参数传递
	 * @param
	 * @return sql 替换后字符串
	 * @author qxm
	 * **/
	
	public static String StrReplaceSql(String sqlStr, Object[] params){
	     int pos=0;  //初始查找位置
	     int findPos;//目标字符串查找到的位置
	     int cnt=0;
	     String oldStr = "?";
	     while((findPos=sqlStr.indexOf(oldStr,pos))!=-1){
	    	 if( null == params[cnt]) {
	    		 sqlStr=sqlStr.substring(0,findPos)+null+sqlStr.substring(findPos+oldStr.length());
	    	 } else{
	    		 sqlStr=sqlStr.substring(0,findPos)+params[cnt].toString()+sqlStr.substring(findPos+oldStr.length());
		    	 findPos+=params[cnt].toString().length();
	    	 }
	    	 cnt++;
	     }
	     return sqlStr;
	}
	
	/**
	 * 
	 * @param s
	 * @return
	 * @author qxm
	 */
	public static String getCountAreaCode(String s) {
		
		s = StringUtils.reverse(s);
		int tmpInt = NumberUtils.toInt(s);
		s = StringUtils.reverse(tmpInt+"");
		return s;
	}
	

  /**
   * 
   * 获得32位MD5
   * */
  public static String getMd5(String text) {
    StringBuffer buf = new StringBuffer("");
    try {
      MessageDigest md = MessageDigest.getInstance("MD5");
      md.update(text.getBytes());
      byte b[] = md.digest();
      int i;

      for (int offset = 0; offset < b.length; offset++) {
        i = b[offset];
        if (i < 0)
          i += 256;
        if (i < 16)
          buf.append("0");
        buf.append(Integer.toHexString(i));
      }

    } catch (NoSuchAlgorithmException e) {

    }
    return buf.toString();
  }

  /**
   * 删除单个文件
   * 
   * @param sPath
   *          被删除文件的文件名
   * @return 单个文件删除成功返回true，否则返回false
   */
  public static boolean deleteFile(String sPath) {
    boolean flag = false;
    File file = new File(sPath);
    // 路径为文件且不为空则进行删除
    if (file.isFile() && file.exists()) {
      file.delete();
      flag = true;
    }
    return flag;
  }


}
