package com.chinaitop.depot.utils;

import java.util.List;
import java.util.Map;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import com.chinaitop.depot.agile.model.BusinessScedule;
import com.chinaitop.depot.business.service.FeignAgileService;
import com.chinaitop.depot.business.service.FeignBasicService;
import com.chinaitop.depot.business.service.FeignSystemService;
import com.chinaitop.depot.feignService.DepotKeeperAccountFeignService;

@Component
public class HelloServiceHystrix implements FeignAgileService,FeignBasicService,FeignSystemService,DepotKeeperAccountFeignService{

	public static final Logger logger = LoggerFactory.getLogger(HelloServiceHystrix.class);
	
	@Override
	public Map<String, Object> getWareDataByHwbm(String hwbm) {
		logger.info("获取仓房基本信息失败!");
		return null;
	}

	@Override
	public Map<String, Object> getDateByChHwh(Integer orgId, Integer houseId, Integer wareHouseId) {
		logger.info("获取粮食信息失败!");
		return null;
	}

	@Override
	public void updateNoticeStatus(Map<String, Object> paramMap) {
		logger.info("修改通知单状态失败!");
	}

	@Override
	public List<BusinessScedule> getPlanSceduleInPlanId(String planIds) {
		logger.info("计划执行进度失败!");
		return null;
	}

	@Override
	public List<BusinessScedule> getContractSceduleInContractId(String contractIds) {
		logger.info("合同执行进度失败!");
		return null;
	}

	@Override
	public List<BusinessScedule> getNoticeSceduleInNoticeId(String noticeIds) {
		logger.info("通知单执行进度失败!");
		return null;
	}

	@Override
	public List<BusinessScedule> getDzContractSceduleInContractId(String contractIds) {
		logger.info("获取到站中转合同完成数量失败!");
		return null;
	}

	@Override
	public List<BusinessScedule> getFyContractSceduleInContractId(String contractIds) {
		logger.info("获取发运中转合同完成数量失败!");
		return null;
	}

	@Override
	public List<BusinessScedule> getThdInNumber(String thdNumbers) {
		logger.info("获取提货单完成数量失败!");
		return null;
	}

	@Override
	public Map<String, Object> getIdByNameAndParentId(Integer parentId, String enumName, String gbCode) {
		logger.info("获取获取字段值失败!");
		return null;
	}

	@Override
	public String getHouseIdBySptDataID(String sptDataId) {
		logger.info("获取仓房ID失败!");
		return null;
	}

	@Override
	public String getTankIdBySptDataID(String sptDataId) {
		logger.info("获取油罐ID失败!");
		return null;
	}

	@Override
	public List<Map<String, String>> getUserRoleFeign(Integer userId) {
		logger.info("获取用户角色失败!");
		return null;
	}

	@Override
	public Map<String, Object> getWareOrTankObj(String sptDataId) {
		logger.info("获取货位信息失败!");
		return null;
	}

	@Override
	public Integer queryCustomerObj(Integer orgId, Integer customerType, String customerName) {
		logger.info("接收合同时，校验客户信息是否存在失败!");
		return null;
	}

	@Override
	public Map<String, Object> save(String customerJson, Integer orgId) {
		logger.info("接收合同时，保存客户信息接口调用失败!");
		return null;
	}

	@Override
	public Map<String, Object> findConditionEnum(Integer parentId, Integer notParentId, Integer notEnumId) {
		logger.info("获取"+parentId+"下的字典树接口调用失败!");
		return null;
	}

}
