package com.chinaitop.depot.utils.activiti;

import java.util.ArrayList;
import java.util.List;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageInfo;

public class PageUtils {
	
	public static <T> PageInfo<T>  page(List<T> list, Integer pageNum, Integer pageSize) {
		
		if(pageNum <= 0) {
			pageNum = 0;
		} else {
			pageNum --;
		}
		
    	int totalCount = list.size();
        int pageCount;
        int m = totalCount % pageSize;

        if (m > 0) {
            pageCount = totalCount / pageSize + 1;
        } else {
            pageCount = totalCount / pageSize;
        }

        List<List<T>> totalList = new ArrayList<List<T>>();
        for (int i = 1; i <= pageCount; i++) {
            if (m == 0) {
                List<T> subList = list.subList((i - 1) * pageSize, pageSize * (i));
                totalList.add(subList);
            } else {
                if (i == pageCount) {
                    List<T> subList = list.subList((i - 1) * pageSize, totalCount);
                    totalList.add(subList);
                } else {
                    List<T> subList = list.subList((i - 1) * pageSize, pageSize * i);
                    totalList.add(subList);
                }
            }
        }
        
        List<T> result = totalList.get(pageNum);
        int count = list.size();
        int size = totalList.size();
        PageInfo<T> pageInfo =new PageInfo<T>((List<T>) result, size);
        pageInfo.setPages(size);
        pageInfo.setTotal(count);
        System.out.println("总条数：" + count);
        System.out.println("总页数：" + size);
        return pageInfo;
    }
	
	
	public static <T> PageInfo<T>  page2(List<T> list, Integer pageNum, Integer pageSize) {
		
		if(pageNum <= 0) {
			pageNum = 0;
		} else {
			pageNum --;
		}
		
    	int totalCount = list.size();
        int pageCount;
        int m = totalCount % pageSize;

        if (m > 0) {
            pageCount = totalCount / pageSize + 1;
        } else {
            pageCount = totalCount / pageSize;
        }

        List<List<T>> totalList = new ArrayList<List<T>>();
        for (int i = 1; i <= pageCount; i++) {
            if (m == 0) {
                List<T> subList = list.subList((i - 1) * pageSize, pageSize * (i));
                totalList.add(subList);
            } else {
                if (i == pageCount) {
                    List<T> subList = list.subList((i - 1) * pageSize, totalCount);
                    totalList.add(subList);
                } else {
                    List<T> subList = list.subList((i - 1) * pageSize, pageSize * i);
                    totalList.add(subList);
                }
            }
        }
        if(!totalList.isEmpty()){
        	List<T> result = totalList.get(pageNum);
        	Page<T> page = new Page<T>();
        	for (T t : result) {
        		page.add(t);
        	}
        	int count = list.size();
        	int size = totalList.size();
        	
        	page.setPages(size);
        	page.setPageNum(pageNum + 1);
        	page.setPageSize(pageSize);
        	page.setTotal(count);
        	page.setStartRow(pageNum*pageSize);
        	
        	PageInfo<T> pageInfo =new PageInfo<T>(page, size);
        	System.out.println("总条数：" + count);
        	System.out.println("总页数：" + size);
        	return pageInfo;
        }
		return null;
    }

}
