package com.chinaitop.depot.utils;

import javax.xml.namespace.QName;

import org.apache.commons.lang3.ArrayUtils;
import org.apache.commons.lang3.StringUtils;
import org.apache.cxf.endpoint.Endpoint;
import org.apache.cxf.jaxws.endpoint.dynamic.JaxWsDynamicClientFactory;
import org.apache.cxf.service.model.BindingInfo;
import org.apache.cxf.service.model.BindingOperationInfo;

import com.alibaba.fastjson.JSON;

import net.sf.json.JSONObject;

public class createKC {
	
	public static String createKC(String operation, String url, Object []parameters) {
		
		JaxWsDynamicClientFactory dcf = JaxWsDynamicClientFactory.newInstance();
	
		org.apache.cxf.endpoint.Client client = dcf.createClient(url);
	
		//处理webService接口和实现类namespace不同的情况，CXF动态客户端在处理此问题时，会报No operation was found with the name的异常
		Endpoint endpoint = client.getEndpoint();
		QName opName = new QName(endpoint.getService().getName().getNamespaceURI(),operation);
		BindingInfo bindingInfo= endpoint.getEndpointInfo().getBinding();
		if(bindingInfo.getOperation(opName) == null){
			for(BindingOperationInfo operationInfo : bindingInfo.getOperations()){
				if(operation.equals(operationInfo.getName().getLocalPart())){
					opName = operationInfo.getName();
					break;
				}
			}
		}
		Object[] res = null;
		String ret = "";
		try {
			System.out.println("webservice调用url是："+url);
			res = client.invoke(opName, parameters);
			System.out.println("webservice调用发送的消息："+ArrayUtils.toString(parameters, ","));
			JSONObject object = JSONObject.fromObject(res[0]);
			System.out.println("webservice调用返回消息："+JSON.toJSONString(object));
			ret = object.getString("success");
		} catch (Exception e) {
			e.printStackTrace();
		}
		return ret;
	}
}
